# Run tests in check section
%bcond_without check

# https://github.com/golang/dep
%global goipath         github.com/golang/dep
Version:                0.5.1

%gometa

Name:           dep
Release:        1%{?dist}
Summary:        Go dependency management tool
# Detected licences
# - BSD (3 clause) at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/pkg/errors)
BuildRequires: golang(github.com/pelletier/go-toml)
BuildRequires: golang(golang.org/x/sync/errgroup)
BuildRequires: golang(github.com/Masterminds/semver)
BuildRequires: golang(github.com/Masterminds/vcs)
BuildRequires: golang(github.com/armon/go-radix)
BuildRequires: golang(github.com/boltdb/bolt)
BuildRequires: golang(github.com/golang/protobuf/proto)
BuildRequires: golang(github.com/jmank88/nuts)
BuildRequires: golang(github.com/nightlyone/lockfile)
BuildRequires: golang(github.com/pkg/errors)
BuildRequires: golang(github.com/sdboyer/constext)
BuildRequires: golang(golang.org/x/sync/errgroup)
BuildRequires: golang(golang.org/x/sys/unix)

Conflicts: godep
Obsoletes: godep


%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup -p1

rm -rf vendor

%build
%gobuildroot

LDFLAGS="-X main.version=%{version}"
%gobuild -o _bin/cmd/dep %{goipath}/cmd/dep
%gobuild -o _bin/gps %{goipath}/gps


%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 _bin/cmd/dep %{buildroot}%{_bindir}/dep
install -p -m 0755 _bin/gps %{buildroot}%{_bindir}/gps

%goinstall

%check
# Requires internet access
%gochecks -d . -d cmd/dep -d gps -t internal/importers

%files
%license LICENSE PATENTS
%doc *.md
%{_bindir}/dep
%{_bindir}/gps

%files devel -f devel.file-list
%license LICENSE PATENTS
%doc *.md

%changelog
* Tue Mar 19 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.1-1
- Release 0.5.1

* Tue Mar 05 2019 Jan Chaloupka <jchaloup@redhat.com> - 0.4.1-8
- Set dep version during build time through -X flag
  resolves: #1667484

* Sun Feb 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.1-7
- Remove unnecessary commit hash in version
- Backport linter fix

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-6.git37d9ea0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0.4.1-5
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 0.4.1-4
- Rebuild with fixed binutils

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Apr 11 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.4.1-2
- Obsolete godep
  resolves: #1552568

* Tue Mar 20 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.4.1-1
- First package for Fedora
  resolves: #1559388
